//	Darkstar Engine  (c) UnderWorld Interactive Studio (all coding by Svarog    2007)
//
//      Данный файл является частью Darkstar Engine. Любое использование кода файла
//      без согласия компании, является нарушением закона об авторском праве (в слу-
//      чае если не оговорено обратное).
//
//      Имя файла: sound2D.inl
//      Краткое описание: статичный или потоковый 2-d звук
//

namespace as
{
	inline Sound2D::Sound2D()
	{
		ctrl = 0;
		buffer = 0;
		bytes_per_sample = 0;
		samples_rate = 0;
		num_chanels = 0;
	};

	inline Sound2D::Sound2D();
	{
		if(buffer)
		{
			stop();
